import { __awaiter } from "tslib";
/**
 * @public
 */
export const registerCommonZeroComponents = () => __awaiter(void 0, void 0, void 0, function* () {
    const { provideDesignSystem, zeroIcon, zeroButton, zeroDesignSystemProvider, zeroSelect, zeroListboxOption, zeroFlyout, } = yield import(
    /* webpackChunkName: "foundation-zero" */
    '@genesislcap/foundation-zero');
    /**
     * Register the components the app is using with the system.
     */
    provideDesignSystem().register(
    /**
     * Design system provider element used to declaratively apply zero config to every dom node in the host tree.
     */
    zeroDesignSystemProvider(), 
    /**
     * Common across most routes, so batch register these lightweight components upfront.
     */
    zeroIcon(), zeroButton(), zeroSelect(), zeroListboxOption(), zeroFlyout());
});
